### Function

# Foundry key_file_new_from_file

#### Declaration [src]

    DexFuture*
    foundry_key_file_new_from_file (
      GFile* file,
      GKeyFileFlags flags
    )

#### Description [src]

Similar to calling `g_key_file_new()` followed by a load function. This handles both construction and loading as well as doing parsing off of the main thread.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`flags`

  Type: `GKeyFileFlags`

  Flags that may affect loading.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GKeyFile` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.